/*****************************/
/* Inside The Machine - MKS  */
/*****************************/

//Includes
#ifndef _PAUSESTATE_H
#define _PAUSESTATE_H

#include "Engine.h"
#include "WorldManager.h"

class CWorldManager;
class PauseState : public CGameState
{
	public:
      void Init();
      void Cleanup();

      void Pause();
      void Resume();

      void HandleEvents(StateManager * game);
      void Update(StateManager * game);
      void Draw(StateManager * game);

      static PauseState* Instance()
      {
         return &m_PauseState;
      }
      
		   //WorldManager
      CWorldManager* worldMan;
      
	protected:
     PauseState() { }

	private:
      static PauseState m_PauseState;
};

#endif
